Inhalte
Index 🔎︎

# Anweisung Seek

Legt die Position für den nächsten Schreib- oder Lesevorgang in einer Datei fest, die mit der Anweisung Open geöffnet wurde.

Bei Direktzugriffsdateien bestimmt die Anweisung Seek die Datensatznummer des nächsten Datensatzes, auf den zugegriffen werden soll.

Für alle anderen Dateien legt die Anweisung Seek die Position des Bytes innerhalb der geöffneten Datei fest, an der der nächste Vorgang stattfinden soll.

Siehe auch: Open, Seek.

## Syntax:

    Seek[#Dateinummer], Position (As Long)

## Parameter:

Dateinumber: Die in der Anweisung Open verwendete Datenkanalnummer.

Position: Position für den nächsten Schreib- oder Lesevorgang. "Position" kann eine Zahl zwischen 1 und 2.147.483.647 sein. Je nach Dateityp kann die Position entweder die Satznummer (Dateien im Modus "Random") oder die Byteposition (Dateien im Modus Binary, Output, Append oder Input) darstellen. Das erste Byte in einer Datei hat Position 1, das zweite Byte Position 2 und so weiter.

## Fehlercodes:

5 Ungültiger Prozeduraufruf

52 Dateiname oder -nummer falsch